#include "TomlReader.h"

#include "TestFramework.h"
#include "TestUtils.h"

TEST_CASE(TestTomlReader, "core")
{
    auto reader = TomlReader();
    reader.read(TestUtils::getTestDataDir() / "sample_toml.toml");

    auto themes_table = reader.getContent()->getTable("themes");

    REQUIRE(themes_table);

    //for (const auto& items : themes_table->getKeyValuePairs())
    //{
        //std::cout << "Got entry with key: " << items.first << " and val " << items.second << std::endl;
    //}
}
